"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactScriptTag = _interopRequireDefault(require("react-script-tag"));

var _propTypes = require("prop-types");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var srcApi = {
  free: 'https://api-maps.yandex.ru',
  paid: 'https://enterprise.api-maps.yandex.ru'
};

var YandexApiMapsScript = function YandexApiMapsScript(_ref) {
  var apikey = _ref.apikey,
      typeApi = _ref.typeApi,
      lang = _ref.lang,
      coordorder = _ref.coordorder,
      load = _ref.load,
      mode = _ref.mode,
      csp = _ref.csp,
      ns = _ref.ns,
      onload = _ref.onload,
      onerror = _ref.onerror;
  var src = "".concat(srcApi[typeApi], "/2.1/?lang=").concat(lang, "&apikey=").concat(apikey, "&coordorder=").concat(coordorder, "&load=").concat(load, "&mode=").concat(mode, "&csp=").concat(csp, "&ns=").concat(ns, "&onload=").concat(onload, "&onerror=").concat(onerror);
  return _react.default.createElement(_reactScriptTag.default, {
    src: src,
    type: "text/javascript"
  });
};

YandexApiMapsScript.propTypes = {
  typeApi: _propTypes.string,
  apikey: _propTypes.string.isRequired,
  lang: _propTypes.string,
  coordorder: _propTypes.string,
  load: _propTypes.string,
  mode: _propTypes.string,
  csp: _propTypes.bool,
  ns: _propTypes.string,
  onload: _propTypes.func,
  onerror: _propTypes.func
};
YandexApiMapsScript.defaultProps = {
  typeApi: 'free',
  lang: 'ru_RU',
  coordorder: 'latlong',
  load: 'package.full',
  mode: 'release',
  csp: false,
  ns: 'ymaps',
  onload: function onload() {},
  onerror: function onerror() {}
};
var _default = YandexApiMapsScript;
exports.default = _default;